Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network112.158.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
112.158.0.0
Broadcast address
112.159.255.255
First usable
112.158.0.1
Last usable
112.159.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 709E0000 · Integer 1889402880 to 1889533951
Reverse DNS zones
158.112.in-addr.arpa
159.112.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110000.10011110.00000000.00000000112.158.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01110000.10011110.00000000.00000000112.158.0.0
Broadcast01110000.10011111.11111111.11111111112.159.255.255
Split into smaller subnets/25

112.158.0.0/15 makes 1,024 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1112.158.0.0/25112.158.0.1 to 112.158.0.126112.158.0.127126
2112.158.0.128/25112.158.0.129 to 112.158.0.254112.158.0.255126
3112.158.1.0/25112.158.1.1 to 112.158.1.126112.158.1.127126
4112.158.1.128/25112.158.1.129 to 112.158.1.254112.158.1.255126
5112.158.2.0/25112.158.2.1 to 112.158.2.126112.158.2.127126
6112.158.2.128/25112.158.2.129 to 112.158.2.254112.158.2.255126
7112.158.3.0/25112.158.3.1 to 112.158.3.126112.158.3.127126
8112.158.3.128/25112.158.3.129 to 112.158.3.254112.158.3.255126
9112.158.4.0/25112.158.4.1 to 112.158.4.126112.158.4.127126
10112.158.4.128/25112.158.4.129 to 112.158.4.254112.158.4.255126
11112.158.5.0/25112.158.5.1 to 112.158.5.126112.158.5.127126
12112.158.5.128/25112.158.5.129 to 112.158.5.254112.158.5.255126
13112.158.6.0/25112.158.6.1 to 112.158.6.126112.158.6.127126
14112.158.6.128/25112.158.6.129 to 112.158.6.254112.158.6.255126
15112.158.7.0/25112.158.7.1 to 112.158.7.126112.158.7.127126
16112.158.7.128/25112.158.7.129 to 112.158.7.254112.158.7.255126
17112.158.8.0/25112.158.8.1 to 112.158.8.126112.158.8.127126
18112.158.8.128/25112.158.8.129 to 112.158.8.254112.158.8.255126
19112.158.9.0/25112.158.9.1 to 112.158.9.126112.158.9.127126
20112.158.9.128/25112.158.9.129 to 112.158.9.254112.158.9.255126
21112.158.10.0/25112.158.10.1 to 112.158.10.126112.158.10.127126
22112.158.10.128/25112.158.10.129 to 112.158.10.254112.158.10.255126
23112.158.11.0/25112.158.11.1 to 112.158.11.126112.158.11.127126
24112.158.11.128/25112.158.11.129 to 112.158.11.254112.158.11.255126
25112.158.12.0/25112.158.12.1 to 112.158.12.126112.158.12.127126
26112.158.12.128/25112.158.12.129 to 112.158.12.254112.158.12.255126
27112.158.13.0/25112.158.13.1 to 112.158.13.126112.158.13.127126
28112.158.13.128/25112.158.13.129 to 112.158.13.254112.158.13.255126
29112.158.14.0/25112.158.14.1 to 112.158.14.126112.158.14.127126
30112.158.14.128/25112.158.14.129 to 112.158.14.254112.158.14.255126
31112.158.15.0/25112.158.15.1 to 112.158.15.126112.158.15.127126
32112.158.15.128/25112.158.15.129 to 112.158.15.254112.158.15.255126
33112.158.16.0/25112.158.16.1 to 112.158.16.126112.158.16.127126
34112.158.16.128/25112.158.16.129 to 112.158.16.254112.158.16.255126
35112.158.17.0/25112.158.17.1 to 112.158.17.126112.158.17.127126
36112.158.17.128/25112.158.17.129 to 112.158.17.254112.158.17.255126
37112.158.18.0/25112.158.18.1 to 112.158.18.126112.158.18.127126
38112.158.18.128/25112.158.18.129 to 112.158.18.254112.158.18.255126
39112.158.19.0/25112.158.19.1 to 112.158.19.126112.158.19.127126
40112.158.19.128/25112.158.19.129 to 112.158.19.254112.158.19.255126
41112.158.20.0/25112.158.20.1 to 112.158.20.126112.158.20.127126
42112.158.20.128/25112.158.20.129 to 112.158.20.254112.158.20.255126
43112.158.21.0/25112.158.21.1 to 112.158.21.126112.158.21.127126
44112.158.21.128/25112.158.21.129 to 112.158.21.254112.158.21.255126
45112.158.22.0/25112.158.22.1 to 112.158.22.126112.158.22.127126
46112.158.22.128/25112.158.22.129 to 112.158.22.254112.158.22.255126
47112.158.23.0/25112.158.23.1 to 112.158.23.126112.158.23.127126
48112.158.23.128/25112.158.23.129 to 112.158.23.254112.158.23.255126
49112.158.24.0/25112.158.24.1 to 112.158.24.126112.158.24.127126
50112.158.24.128/25112.158.24.129 to 112.158.24.254112.158.24.255126
51112.158.25.0/25112.158.25.1 to 112.158.25.126112.158.25.127126
52112.158.25.128/25112.158.25.129 to 112.158.25.254112.158.25.255126
53112.158.26.0/25112.158.26.1 to 112.158.26.126112.158.26.127126
54112.158.26.128/25112.158.26.129 to 112.158.26.254112.158.26.255126
55112.158.27.0/25112.158.27.1 to 112.158.27.126112.158.27.127126
56112.158.27.128/25112.158.27.129 to 112.158.27.254112.158.27.255126
57112.158.28.0/25112.158.28.1 to 112.158.28.126112.158.28.127126
58112.158.28.128/25112.158.28.129 to 112.158.28.254112.158.28.255126
59112.158.29.0/25112.158.29.1 to 112.158.29.126112.158.29.127126
60112.158.29.128/25112.158.29.129 to 112.158.29.254112.158.29.255126
61112.158.30.0/25112.158.30.1 to 112.158.30.126112.158.30.127126
62112.158.30.128/25112.158.30.129 to 112.158.30.254112.158.30.255126
63112.158.31.0/25112.158.31.1 to 112.158.31.126112.158.31.127126
64112.158.31.128/25112.158.31.129 to 112.158.31.254112.158.31.255126
65112.158.32.0/25112.158.32.1 to 112.158.32.126112.158.32.127126
66112.158.32.128/25112.158.32.129 to 112.158.32.254112.158.32.255126
67112.158.33.0/25112.158.33.1 to 112.158.33.126112.158.33.127126
68112.158.33.128/25112.158.33.129 to 112.158.33.254112.158.33.255126
69112.158.34.0/25112.158.34.1 to 112.158.34.126112.158.34.127126
70112.158.34.128/25112.158.34.129 to 112.158.34.254112.158.34.255126
71112.158.35.0/25112.158.35.1 to 112.158.35.126112.158.35.127126
72112.158.35.128/25112.158.35.129 to 112.158.35.254112.158.35.255126
73112.158.36.0/25112.158.36.1 to 112.158.36.126112.158.36.127126
74112.158.36.128/25112.158.36.129 to 112.158.36.254112.158.36.255126
75112.158.37.0/25112.158.37.1 to 112.158.37.126112.158.37.127126
76112.158.37.128/25112.158.37.129 to 112.158.37.254112.158.37.255126
77112.158.38.0/25112.158.38.1 to 112.158.38.126112.158.38.127126
78112.158.38.128/25112.158.38.129 to 112.158.38.254112.158.38.255126
79112.158.39.0/25112.158.39.1 to 112.158.39.126112.158.39.127126
80112.158.39.128/25112.158.39.129 to 112.158.39.254112.158.39.255126
81112.158.40.0/25112.158.40.1 to 112.158.40.126112.158.40.127126
82112.158.40.128/25112.158.40.129 to 112.158.40.254112.158.40.255126
83112.158.41.0/25112.158.41.1 to 112.158.41.126112.158.41.127126
84112.158.41.128/25112.158.41.129 to 112.158.41.254112.158.41.255126
85112.158.42.0/25112.158.42.1 to 112.158.42.126112.158.42.127126
86112.158.42.128/25112.158.42.129 to 112.158.42.254112.158.42.255126
87112.158.43.0/25112.158.43.1 to 112.158.43.126112.158.43.127126
88112.158.43.128/25112.158.43.129 to 112.158.43.254112.158.43.255126
89112.158.44.0/25112.158.44.1 to 112.158.44.126112.158.44.127126
90112.158.44.128/25112.158.44.129 to 112.158.44.254112.158.44.255126
91112.158.45.0/25112.158.45.1 to 112.158.45.126112.158.45.127126
92112.158.45.128/25112.158.45.129 to 112.158.45.254112.158.45.255126
93112.158.46.0/25112.158.46.1 to 112.158.46.126112.158.46.127126
94112.158.46.128/25112.158.46.129 to 112.158.46.254112.158.46.255126
95112.158.47.0/25112.158.47.1 to 112.158.47.126112.158.47.127126
96112.158.47.128/25112.158.47.129 to 112.158.47.254112.158.47.255126
97112.158.48.0/25112.158.48.1 to 112.158.48.126112.158.48.127126
98112.158.48.128/25112.158.48.129 to 112.158.48.254112.158.48.255126
99112.158.49.0/25112.158.49.1 to 112.158.49.126112.158.49.127126
100112.158.49.128/25112.158.49.129 to 112.158.49.254112.158.49.255126
101112.158.50.0/25112.158.50.1 to 112.158.50.126112.158.50.127126
102112.158.50.128/25112.158.50.129 to 112.158.50.254112.158.50.255126
103112.158.51.0/25112.158.51.1 to 112.158.51.126112.158.51.127126
104112.158.51.128/25112.158.51.129 to 112.158.51.254112.158.51.255126
105112.158.52.0/25112.158.52.1 to 112.158.52.126112.158.52.127126
106112.158.52.128/25112.158.52.129 to 112.158.52.254112.158.52.255126
107112.158.53.0/25112.158.53.1 to 112.158.53.126112.158.53.127126
108112.158.53.128/25112.158.53.129 to 112.158.53.254112.158.53.255126
109112.158.54.0/25112.158.54.1 to 112.158.54.126112.158.54.127126
110112.158.54.128/25112.158.54.129 to 112.158.54.254112.158.54.255126
111112.158.55.0/25112.158.55.1 to 112.158.55.126112.158.55.127126
112112.158.55.128/25112.158.55.129 to 112.158.55.254112.158.55.255126
113112.158.56.0/25112.158.56.1 to 112.158.56.126112.158.56.127126
114112.158.56.128/25112.158.56.129 to 112.158.56.254112.158.56.255126
115112.158.57.0/25112.158.57.1 to 112.158.57.126112.158.57.127126
116112.158.57.128/25112.158.57.129 to 112.158.57.254112.158.57.255126
117112.158.58.0/25112.158.58.1 to 112.158.58.126112.158.58.127126
118112.158.58.128/25112.158.58.129 to 112.158.58.254112.158.58.255126
119112.158.59.0/25112.158.59.1 to 112.158.59.126112.158.59.127126
120112.158.59.128/25112.158.59.129 to 112.158.59.254112.158.59.255126
121112.158.60.0/25112.158.60.1 to 112.158.60.126112.158.60.127126
122112.158.60.128/25112.158.60.129 to 112.158.60.254112.158.60.255126
123112.158.61.0/25112.158.61.1 to 112.158.61.126112.158.61.127126
124112.158.61.128/25112.158.61.129 to 112.158.61.254112.158.61.255126
125112.158.62.0/25112.158.62.1 to 112.158.62.126112.158.62.127126
126112.158.62.128/25112.158.62.129 to 112.158.62.254112.158.62.255126
127112.158.63.0/25112.158.63.1 to 112.158.63.126112.158.63.127126
128112.158.63.128/25112.158.63.129 to 112.158.63.254112.158.63.255126
129112.158.64.0/25112.158.64.1 to 112.158.64.126112.158.64.127126
130112.158.64.128/25112.158.64.129 to 112.158.64.254112.158.64.255126
131112.158.65.0/25112.158.65.1 to 112.158.65.126112.158.65.127126
132112.158.65.128/25112.158.65.129 to 112.158.65.254112.158.65.255126
133112.158.66.0/25112.158.66.1 to 112.158.66.126112.158.66.127126
134112.158.66.128/25112.158.66.129 to 112.158.66.254112.158.66.255126
135112.158.67.0/25112.158.67.1 to 112.158.67.126112.158.67.127126
136112.158.67.128/25112.158.67.129 to 112.158.67.254112.158.67.255126
137112.158.68.0/25112.158.68.1 to 112.158.68.126112.158.68.127126
138112.158.68.128/25112.158.68.129 to 112.158.68.254112.158.68.255126
139112.158.69.0/25112.158.69.1 to 112.158.69.126112.158.69.127126
140112.158.69.128/25112.158.69.129 to 112.158.69.254112.158.69.255126
141112.158.70.0/25112.158.70.1 to 112.158.70.126112.158.70.127126
142112.158.70.128/25112.158.70.129 to 112.158.70.254112.158.70.255126
143112.158.71.0/25112.158.71.1 to 112.158.71.126112.158.71.127126
144112.158.71.128/25112.158.71.129 to 112.158.71.254112.158.71.255126
145112.158.72.0/25112.158.72.1 to 112.158.72.126112.158.72.127126
146112.158.72.128/25112.158.72.129 to 112.158.72.254112.158.72.255126
147112.158.73.0/25112.158.73.1 to 112.158.73.126112.158.73.127126
148112.158.73.128/25112.158.73.129 to 112.158.73.254112.158.73.255126
149112.158.74.0/25112.158.74.1 to 112.158.74.126112.158.74.127126
150112.158.74.128/25112.158.74.129 to 112.158.74.254112.158.74.255126
151112.158.75.0/25112.158.75.1 to 112.158.75.126112.158.75.127126
152112.158.75.128/25112.158.75.129 to 112.158.75.254112.158.75.255126
153112.158.76.0/25112.158.76.1 to 112.158.76.126112.158.76.127126
154112.158.76.128/25112.158.76.129 to 112.158.76.254112.158.76.255126
155112.158.77.0/25112.158.77.1 to 112.158.77.126112.158.77.127126
156112.158.77.128/25112.158.77.129 to 112.158.77.254112.158.77.255126
157112.158.78.0/25112.158.78.1 to 112.158.78.126112.158.78.127126
158112.158.78.128/25112.158.78.129 to 112.158.78.254112.158.78.255126
159112.158.79.0/25112.158.79.1 to 112.158.79.126112.158.79.127126
160112.158.79.128/25112.158.79.129 to 112.158.79.254112.158.79.255126
161112.158.80.0/25112.158.80.1 to 112.158.80.126112.158.80.127126
162112.158.80.128/25112.158.80.129 to 112.158.80.254112.158.80.255126
163112.158.81.0/25112.158.81.1 to 112.158.81.126112.158.81.127126
164112.158.81.128/25112.158.81.129 to 112.158.81.254112.158.81.255126
165112.158.82.0/25112.158.82.1 to 112.158.82.126112.158.82.127126
166112.158.82.128/25112.158.82.129 to 112.158.82.254112.158.82.255126
167112.158.83.0/25112.158.83.1 to 112.158.83.126112.158.83.127126
168112.158.83.128/25112.158.83.129 to 112.158.83.254112.158.83.255126
169112.158.84.0/25112.158.84.1 to 112.158.84.126112.158.84.127126
170112.158.84.128/25112.158.84.129 to 112.158.84.254112.158.84.255126
171112.158.85.0/25112.158.85.1 to 112.158.85.126112.158.85.127126
172112.158.85.128/25112.158.85.129 to 112.158.85.254112.158.85.255126
173112.158.86.0/25112.158.86.1 to 112.158.86.126112.158.86.127126
174112.158.86.128/25112.158.86.129 to 112.158.86.254112.158.86.255126
175112.158.87.0/25112.158.87.1 to 112.158.87.126112.158.87.127126
176112.158.87.128/25112.158.87.129 to 112.158.87.254112.158.87.255126
177112.158.88.0/25112.158.88.1 to 112.158.88.126112.158.88.127126
178112.158.88.128/25112.158.88.129 to 112.158.88.254112.158.88.255126
179112.158.89.0/25112.158.89.1 to 112.158.89.126112.158.89.127126
180112.158.89.128/25112.158.89.129 to 112.158.89.254112.158.89.255126
181112.158.90.0/25112.158.90.1 to 112.158.90.126112.158.90.127126
182112.158.90.128/25112.158.90.129 to 112.158.90.254112.158.90.255126
183112.158.91.0/25112.158.91.1 to 112.158.91.126112.158.91.127126
184112.158.91.128/25112.158.91.129 to 112.158.91.254112.158.91.255126
185112.158.92.0/25112.158.92.1 to 112.158.92.126112.158.92.127126
186112.158.92.128/25112.158.92.129 to 112.158.92.254112.158.92.255126
187112.158.93.0/25112.158.93.1 to 112.158.93.126112.158.93.127126
188112.158.93.128/25112.158.93.129 to 112.158.93.254112.158.93.255126
189112.158.94.0/25112.158.94.1 to 112.158.94.126112.158.94.127126
190112.158.94.128/25112.158.94.129 to 112.158.94.254112.158.94.255126
191112.158.95.0/25112.158.95.1 to 112.158.95.126112.158.95.127126
192112.158.95.128/25112.158.95.129 to 112.158.95.254112.158.95.255126
193112.158.96.0/25112.158.96.1 to 112.158.96.126112.158.96.127126
194112.158.96.128/25112.158.96.129 to 112.158.96.254112.158.96.255126
195112.158.97.0/25112.158.97.1 to 112.158.97.126112.158.97.127126
196112.158.97.128/25112.158.97.129 to 112.158.97.254112.158.97.255126
197112.158.98.0/25112.158.98.1 to 112.158.98.126112.158.98.127126
198112.158.98.128/25112.158.98.129 to 112.158.98.254112.158.98.255126
199112.158.99.0/25112.158.99.1 to 112.158.99.126112.158.99.127126
200112.158.99.128/25112.158.99.129 to 112.158.99.254112.158.99.255126
201112.158.100.0/25112.158.100.1 to 112.158.100.126112.158.100.127126
202112.158.100.128/25112.158.100.129 to 112.158.100.254112.158.100.255126
203112.158.101.0/25112.158.101.1 to 112.158.101.126112.158.101.127126
204112.158.101.128/25112.158.101.129 to 112.158.101.254112.158.101.255126
205112.158.102.0/25112.158.102.1 to 112.158.102.126112.158.102.127126
206112.158.102.128/25112.158.102.129 to 112.158.102.254112.158.102.255126
207112.158.103.0/25112.158.103.1 to 112.158.103.126112.158.103.127126
208112.158.103.128/25112.158.103.129 to 112.158.103.254112.158.103.255126
209112.158.104.0/25112.158.104.1 to 112.158.104.126112.158.104.127126
210112.158.104.128/25112.158.104.129 to 112.158.104.254112.158.104.255126
211112.158.105.0/25112.158.105.1 to 112.158.105.126112.158.105.127126
212112.158.105.128/25112.158.105.129 to 112.158.105.254112.158.105.255126
213112.158.106.0/25112.158.106.1 to 112.158.106.126112.158.106.127126
214112.158.106.128/25112.158.106.129 to 112.158.106.254112.158.106.255126
215112.158.107.0/25112.158.107.1 to 112.158.107.126112.158.107.127126
216112.158.107.128/25112.158.107.129 to 112.158.107.254112.158.107.255126
217112.158.108.0/25112.158.108.1 to 112.158.108.126112.158.108.127126
218112.158.108.128/25112.158.108.129 to 112.158.108.254112.158.108.255126
219112.158.109.0/25112.158.109.1 to 112.158.109.126112.158.109.127126
220112.158.109.128/25112.158.109.129 to 112.158.109.254112.158.109.255126
221112.158.110.0/25112.158.110.1 to 112.158.110.126112.158.110.127126
222112.158.110.128/25112.158.110.129 to 112.158.110.254112.158.110.255126
223112.158.111.0/25112.158.111.1 to 112.158.111.126112.158.111.127126
224112.158.111.128/25112.158.111.129 to 112.158.111.254112.158.111.255126
225112.158.112.0/25112.158.112.1 to 112.158.112.126112.158.112.127126
226112.158.112.128/25112.158.112.129 to 112.158.112.254112.158.112.255126
227112.158.113.0/25112.158.113.1 to 112.158.113.126112.158.113.127126
228112.158.113.128/25112.158.113.129 to 112.158.113.254112.158.113.255126
229112.158.114.0/25112.158.114.1 to 112.158.114.126112.158.114.127126
230112.158.114.128/25112.158.114.129 to 112.158.114.254112.158.114.255126
231112.158.115.0/25112.158.115.1 to 112.158.115.126112.158.115.127126
232112.158.115.128/25112.158.115.129 to 112.158.115.254112.158.115.255126
233112.158.116.0/25112.158.116.1 to 112.158.116.126112.158.116.127126
234112.158.116.128/25112.158.116.129 to 112.158.116.254112.158.116.255126
235112.158.117.0/25112.158.117.1 to 112.158.117.126112.158.117.127126
236112.158.117.128/25112.158.117.129 to 112.158.117.254112.158.117.255126
237112.158.118.0/25112.158.118.1 to 112.158.118.126112.158.118.127126
238112.158.118.128/25112.158.118.129 to 112.158.118.254112.158.118.255126
239112.158.119.0/25112.158.119.1 to 112.158.119.126112.158.119.127126
240112.158.119.128/25112.158.119.129 to 112.158.119.254112.158.119.255126
241112.158.120.0/25112.158.120.1 to 112.158.120.126112.158.120.127126
242112.158.120.128/25112.158.120.129 to 112.158.120.254112.158.120.255126
243112.158.121.0/25112.158.121.1 to 112.158.121.126112.158.121.127126
244112.158.121.128/25112.158.121.129 to 112.158.121.254112.158.121.255126
245112.158.122.0/25112.158.122.1 to 112.158.122.126112.158.122.127126
246112.158.122.128/25112.158.122.129 to 112.158.122.254112.158.122.255126
247112.158.123.0/25112.158.123.1 to 112.158.123.126112.158.123.127126
248112.158.123.128/25112.158.123.129 to 112.158.123.254112.158.123.255126
249112.158.124.0/25112.158.124.1 to 112.158.124.126112.158.124.127126
250112.158.124.128/25112.158.124.129 to 112.158.124.254112.158.124.255126
251112.158.125.0/25112.158.125.1 to 112.158.125.126112.158.125.127126
252112.158.125.128/25112.158.125.129 to 112.158.125.254112.158.125.255126
253112.158.126.0/25112.158.126.1 to 112.158.126.126112.158.126.127126
254112.158.126.128/25112.158.126.129 to 112.158.126.254112.158.126.255126
255112.158.127.0/25112.158.127.1 to 112.158.127.126112.158.127.127126
256112.158.127.128/25112.158.127.129 to 112.158.127.254112.158.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses